jQuery(document).ready(function($){	
	// Split AR Code	
	$('#ar_code').on('change keyup', function() {
				change_selects();
				//alert("?");
		  //return false;
		});
		
		function change_selects(){
				var tags = ['a','iframe','frame','frameset','script'], reg, val = $('#ar_code').val(),
					hdn = $('#arcode_hdn_div2'), formurl = $('#ar_url'), hiddenfields = $('#ar_hidden');
			    formurl.val('');
				if(jQuery.trim(val) == '')
					return false;
				$('#arcode_hdn_div').html('');
				$('#arcode_hdn_div2').html('');
				for(var i=0;i<5;i++){
					reg = new RegExp('<'+tags[i]+'([^<>+]*[^\/])>.*?</'+tags[i]+'>', "gi");
					val = val.replace(reg,'');
					
					reg = new RegExp('<'+tags[i]+'([^<>+]*)>', "gi");
					val = val.replace(reg,'');
				}
				var tmpval;
				try {
					tmpval = decodeURIComponent(val);
				} catch(err){
					tmpval = val;
				}
				hdn.append(tmpval);
				var num = 0;
				var name_selected = '';
				var email_selected = '';
				$(':text',hdn).each(function(){
					var name = $(this).attr('name'),
						name_selected = num == '0' ? name : (num != '0' ? name_selected : ''), 
						email_selected = num == '1' ? name : email_selected;
						if(num=='0') jQuery('#ar_name').val(name_selected);
						if(num=='1') jQuery('#ar_email').val(email_selected);
				num++;
				});
				jQuery(':input[type=hidden]',hdn).each(function(){
					jQuery('#arcode_hdn_div').append(jQuery('<input type="hidden" name="'+jQuery(this).attr('name')+'" />').val(jQuery(this).val()));
				});		
				var hidden_f = jQuery('#arcode_hdn_div').html();
				formurl.val(jQuery('form',hdn).attr('action'));
				hiddenfields.val(hidden_f);
				//alert(tmpval);
				hdn.html('');
				
			};

	$(document).on('change keyup', '.ar_code', function() {
			var id = $(this).closest('.added_form').data('id');
			change_additional_form_selects(id);
		  //return false;
		});

		function change_additional_form_selects(id){
			var tags = ['a','iframe','frame','frameset','script'], reg, val = $('#ar_code-'+id).val(),
				hdn = $('#arcode_hdn_div2-'+id), formurl = $('#ar_url-'+id), hiddenfields = $('#ar_hidden-'+id);
		    formurl.val('');
			if(jQuery.trim(val) == '')
				return false;
			$('#arcode_hdn_div-'+id).html('');
			$('#arcode_hdn_div2-'+id).html('');
			for(var i=0;i<5;i++){
				reg = new RegExp('<'+tags[i]+'([^<>+]*[^\/])>.*?</'+tags[i]+'>', "gi");
				val = val.replace(reg,'');
				
				reg = new RegExp('<'+tags[i]+'([^<>+]*)>', "gi");
				val = val.replace(reg,'');
			}
			var tmpval;
			try {
				tmpval = decodeURIComponent(val);
			} catch(err){
				tmpval = val;
			}
			hdn.append(tmpval);
			var num = 0;
			var name_selected = '';
			var email_selected = '';
			$(':text',hdn).each(function(){
				var name = $(this).attr('name'),
					name_selected = num == '0' ? name : (num != '0' ? name_selected : ''), 
					email_selected = num == '1' ? name : email_selected;
					if(num=='0') jQuery('#ar_name-'+id).val(name_selected);
					if(num=='1') jQuery('#ar_email-'+id).val(email_selected);
			num++;
			});
			jQuery(':input[type=hidden]',hdn).each(function(){
				jQuery('#arcode_hdn_div-'+id).append(jQuery('<input type="hidden" name="'+jQuery(this).attr('name')+'" />').val(jQuery(this).val()));
			});		
			var hidden_f = jQuery('#arcode_hdn_div-'+id).html();
			formurl.val(jQuery('form',hdn).attr('action'));
			hiddenfields.val(hidden_f);
			//alert(tmpval);
			hdn.html('');
			
		};
}); // main jquery container

jQuery(document).ready( function($){
	// wpColorPicker
	$('.color-picker').wpColorPicker();

	// Reloads color-picker after ajax call
	$(document).ajaxComplete( function(event, jqXhr, settings) {
		$('.color-picker').wpColorPicker();
		tinymce.init({
			selector:'.desc',
			menubar: false,
			toolbar1: "bold, italic, underline, blockquote, strikethrough, bullist, numlist, alignleft, aligncenter, alignright, link",
		});
	});

	// Reveal AR code
	$('.ar_advance').hide();
	$('#viewarcode').click( function() {
		$('.ar_advance').show();
	});
	$(document).on('click', '.viewarcode', function() {
		var id = $(this).closest('.added_form').data('id');
		$('.ar_advance').show();
		return false;
	});

	// Reset
	$('#reset-generic').on('click', function(e) {
		e.preventDefault();
		$('#ar_hidden, #ar_name, #ar_email, #ar_url, #ar_code').val('');
	});
	$('#reset-aweber').on('click', function(e) {
		e.preventDefault();
		$('#aw_appid, #awTrackingCode, #awListName').val('');
	});
	$('#reset-popopts').on('click', function(e) {
		e.preventDefault();
		$('#headline, #subhead, #tqheadline, #tqsubhead, #tqredirect').val('');
		$('#incloptin').removeAttr('checked');
	});
	$('#reset-misc').on('click', function(e) {
		e.preventDefault();
		$('#del_opt_settings').removeAttr('checked');
	});

	// Remove form
	$(document).on('click', '.remove_form', function(e) {
	//var added_form = html(response);
		e.preventDefault();
		$(this).closest('.added_form').remove();
	});

	// Remove images
	$(document).on('click', '.removecoverimg', function() {
		var id = $(this).closest('.added_form').data('id');
		console.log(id);
		$('#cover-'+id).val('');
		$('#coverimg-'+id).attr('src', '');
		return false;
	});
	$(document).on('click', '.removebgimageimg', function() {
		var id = $(this).closest('.added_form').data('id');
		$('#bgimage-'+id).val('');
		$('#bgimage_img-'+id).attr('src', '');
		return false;
	});

	// Accordion
	$('#add_form_list').accordion({
		header: '> div.added_form > h3',
		heightStyle: 'content',
		collapsible: true,
		active: false
	});
	// Add forms
	$(document).on('click', '.add_a_form', function(e) {
		e.preventDefault();
		
		var lgate_nonce = pm_lgate_object.nonce;
		var lgate_is_admin = pm_lgate_object.is_admin;
		var initial_count = 1; //Initial count
		var count = $('.added_form:last').data('id');

		// data object to send to server
		data = {
			action: 'pm_lgate_do_ajax_request',
			nonce: lgate_nonce,
			is_admin: lgate_is_admin,
			count: count + 1
		};

		$.post(ajaxurl, data, function(response) {
			//alert(response);
			$('#add_form_list').append(response);
			$('#add_form_list').accordion('destroy').accordion({
				header: '> div.added_form > h3',
				heightStyle: 'content',
				collapsible: true,
				active: count
			});			
			$(document).scrollTop( $('#form-' + count).offset().top );
			$('.ar_advance').hide();
		})

		//console.log('Last id is:'+lastdiv);
		//return false;
		 e.stopImmediatePropagation(); 
	});	
}); // global ended
jQuery(document).ready(function($) {
	
	// Triggers thickbox upload	//http://stackoverflow.com/questions/13847714/wordpress-3-5-custom-media-upload-for-your-theme-options
	$('.cover_upload').live( 'click', 'a', function() {
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var id = $(this).closest('.added_form').data('id');
		wp.media.editor.send.attachment = function(props, attachment) {
			$('#coverimg').attr('src', attachment.url);
			$('#cover').val(attachment.url);
			$('#coverimg-'+id).attr('src', attachment.url);
			$('#cover-'+id).val(attachment.url);
			wp.media.editor.send.attachment = send_attachment_bkp;
		}

		wp.media.editor.open();
		return false;
    });
    $('.bgimage_upload').live( 'click', 'a', function() {
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var id = $(this).closest('.added_form').data('id');
		wp.media.editor.send.attachment = function(props, attachment) {
			$('#bgimage_img').attr('src', attachment.url);
			$('#bgimage').val(attachment.url);
			$('#bgimage_img-'+id).attr('src', attachment.url);
			$('#bgimage-'+id).val(attachment.url);
			wp.media.editor.send.attachment = send_attachment_bkp;
		}

		wp.media.editor.open();
		return false;
    });
});