// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmlgatebuttons', {
		init : function(ed, url) {
			tinymce.plugins.pmlgatebuttons.theurl = url;
			var plugin_name = pm_lgate_object.pm_lgate_plugin_name;
		 
		// Register buttons
		ed.addButton('pmlgatebuttons', {
			title : 'Insert Link Gate',
			type : 'button',
			icon: 'pm_lgate pm-lgate-icon-key',
			//image: tinymce.plugins.pmlgatebuttons.theurl + '/form.png',
			onclick : function() {
				ed.windowManager.open({ //that contains HTML for our modal window
					id : 'pm_lgate_shortcode_modal_dialog',
					width : 520, // size of our window
					height : 'auto',
					title : ed.getLang( plugin_name, plugin_name ),
					wpDialog : true,
				}, {
					//plugin_url : pluginurl;
				});
				//ed.selection.setContent('[jazzyoptin]'); old, to remove
			}
		});
		},
		
		getInfo : function() {
			return {
				longname : 'Insert Link Gate',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmlgatebuttons', tinymce.plugins.pmlgatebuttons);
	
})();