<?php 
// Enqueue admin scripts
function pm_lgate_admin_scripts( $hook ) {

	if( $hook == 'post.php' || $hook == 'post-new.php' ) {
		wp_enqueue_script( 'wpdialogs' ); // Not needed if using ajax include
		wp_enqueue_script( 'lgate-adminajax', PM_LGATE_DIR.'modules/js/admindialogajax.js', array('jquery'), false, true );
		wp_enqueue_style( 'wp-jquery-ui-dialog' );
		wp_enqueue_style( 'pm-lgate-editor-font', PM_LGATE_DIR.'modules/css/admin.css' );
	}
	
	/*
	if( 'settings_page_pm_lgate_settings' != $hook ) {
		return;
	} else {
	//wp_enqueue_script( 'pm_lgate_arcode', PM_LGATE_DIR.'modules/js/arcode.js', array( 'jquery' ) );
	wp_enqueue_script( 'pm_lgate_admin', PM_LGATE_DIR.'modules/js/admin.js', array( 'jquery', 'wp-color-picker' ) );
	wp_enqueue_script( 'jquery-ui-accordion' );
	//wp_enqueue_script( 'pm_lgate_upload', PM_LGATE_DIR.'modules/js/upload.js', array('jquery', 'media-upload', 'thickbox' ) );
	wp_enqueue_media();
	// WP color picker
	wp_enqueue_style( 'wp-color-picker' );
	//wp_enqueue_script( 'pm_lgate_color_picker', PM_LGATE_DIR.'modules/js/admin.js', array( 'wp-color-picker' ), false, true );
	
	// For Ajax
	// Output admin-ajax.php URL with same protocol as current page
	$params = array(
		'nonce' => wp_create_nonce('pm_lgate_options'),
		'is_admin' => is_admin()
	);
	// in javascript, object properties are accessed as ajax_object.ajax_url, ajax_object.key
	wp_localize_script( 'pm_lgate_admin', 'pm_lgate_object', $params );
	}
	*/
}
add_action('admin_enqueue_scripts', 'pm_lgate_admin_scripts');

// Localize script for TinyMCE editor use
add_action( 'before_wp_tiny_mce', 'pm_lgate_localize_for_tinymce' );
function pm_lgate_localize_for_tinymce( $hook ) {
	$current_screen = get_current_screen();
	$current_screen = $current_screen->id;
	if( $current_screen == 'post' || $current_screen == 'page' ) {
		global $post;
		$params = array(
			'nonce' => wp_create_nonce('pm_lgate_options'),
			'is_admin' => is_admin(),
			'pid' => $post->ID,
			'pm_lgate_dir' => PM_LGATE_DIR,
			'pm_lgate_plugin_name' => PM_LGATE_PLUGIN_NAME
		);
		?>
		<script type='text/javascript'>
		/* <![CDATA[ */
		var pm_lgate_object = <?php echo json_encode( $params ); ?>;
		/* ]]> */
		</script>
		<?php
	}
}

?>